petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetInertia

Gets the inertia from a factored matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetInertia(Mat mat,PetscInt *nneg,PetscInt *nzero,PetscInt *npos)

Collective on Mat Many br

### Input Parameter

mat -the matrix Many br

### Output Parameters

| nneg | - number of negative eigenvalues Many br
| nzero | - number of zero eigenvalues Many br
| npos | - number of positive eigenvalues Many br

Many br

Notes: Matrix must have been factored by MatCholeskyFactor() Many br

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages